# Tiles Course Format

### Author: David Watson http://evolutioncode.uk

This is the "Tiles" course format plugin for Moodle.

## Installation and Use
This plugin should be installed in a sub directory of /course/format/ called tiles

Once installed:

- it will be available for an editing teacher to select as the format for a given course under Course Administration > Edit Settings > Course Format

- if this is done, the format will be displayed to a user when they enter that course (as student or teacher)

- an Administrator will be able to see the plugins settings under Site Administration > Plugins > Course Formats > Tiles

## Branches

At the time of writing (August 2024) the following branches were being maintained:

| Moodle version | Tiles branch     |
|----------------|------------------|
| 4.0            | moodle41b*       |
| 4.1            | moodle41b        |
| 4.2            | moodle42b        |
| 4.3            | moodle43         |
| 4.4            | master/moodle44  |

(*The moodle41 branch was being used for both Moodle 4.0 and 4.1)

## Compatibility and Support
This version of the plugin is compatible with Moodle 4.4.  Other versions are available for prior versions of Moodle.

It supports the Privacy API.

It is intended to support the current versions of the most popular browsers such as Chrome, Firefox, desktop Safari and mobile iOS and Android.

## Documentation
Detailed information about the operation of the plugin is available at http://evolutioncode.uk/tiles

## Licence
This plugin is part of Moodle - http://moodle.org/

Moodle is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Moodle is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Moodle.  If not, see http://www.gnu.org/licenses

Icons: some icons are custom to this plugin, but the majority are from Font Awesome version 4.7 under License SIL OFL 1.1.  See https://fontawesome.com/license and specifically https://fontawesome.com/v4.7.0/license